hS3-0.5.6: Interface to Amazon's Simple Storage Service (S3)

Network.AWS.AWSResult

Contents

- Data Types

Description

Results from a query to Amazon Web Services. API Version 2006-03-01 http://docs.amazonwebservices.com/AmazonS3/2006-03-01/

Synopsis

- type AWSResult a = Either ReqError a
- data ReqError
  - = NetworkError ConnError
  - | AWSError String String
- prettyReqError :: ReqError -> String

# Data Types

type AWSResult a = Either ReqError a

A result from processing a request to S3. Either some success value, or a `ReqError`.

data ReqError

An error from an S3 request, either at the network layer, or from S3 itself.

Constructors

NetworkError ConnError | Connection error at the network layer.
AWSError String String | `AWSError code message` constructs an error message from S3 itself. See http://docs.amazonwebservices.com/AmazonS3/2006-03-01/ErrorCodeList.html for a detailed list of possible codes.

Instances

Eq ReqError |
Show ReqError |

prettyReqError :: ReqError -> String

Pretty print an error message.